pcl::detail::FieldMapping Struct Reference

`#include <pcl/point_cloud.h>`

## Public Attributes

size_t | serialized_offset
size_t | struct_offset
size_t | size

## Detailed Description

Definition at line 56 of file point_cloud.h.

## Member Data Documentation

size_t pcl::detail::FieldMapping::serialized_offset

Definition at line 58 of file point_cloud.h.

Referenced by pcl::detail::fieldOrdering(), pcl::fromPCLPointCloud2(), and pcl::detail::FieldMapper< PointT >::operator()().

size_t pcl::detail::FieldMapping::size

Definition at line 60 of file point_cloud.h.

Referenced by pcl::fromPCLPointCloud2(), and pcl::detail::FieldMapper< PointT >::operator()().

size_t pcl::detail::FieldMapping::struct_offset

Definition at line 59 of file point_cloud.h.

Referenced by pcl::fromPCLPointCloud2(), and pcl::detail::FieldMapper< PointT >::operator()().

The documentation for this struct was generated from the following file:

- /build/pcl-6_P28C/pcl-1.7.2/common/include/pcl/point_cloud.h